## Obtener lista de cupones [/cupones/getAllCupones]

### getUsers [POST]
    Devuelve una lista de cupones

+ Request Ejemplo

    + Body
        {
            "idEmpresa": "001"
        }

+ Response 200 (application/json)
    + Relation: 200: OK

    + Body 
    {
        "error": false,
        "result": {
          "cupon_de_descuento":[
            {
             "id": "001",
             "descripcion": "Cupón 5% de descuento",
             "porcentaje_descuento": "5",
             "id_empresa": "001",
             "activo": true
            },
            {
              "id": "002",
              "descripcion": "Cupón 10% de descuento",
              "porcentaje_descuento": "10",
              "id_empresa": "001",
              "activo": true
             },
             {
              "id": "003",
              "descripcion": "Cupón 15% de descuento",
              "porcentaje_descuento": "15",
              "id_empresa": "001",
              "activo": true
             }
          ]
        }
    }

+ Response 201 (application/json)
    + Relation: 201: no-data-found

    + Body
    {
        "error": {
            "code": 201,
            "message": "Sin datos"
        },
        "result": false
    }

+ Response 501 (application/json)
    + Relation: 501: Error-database

    + Body
    {
        "error": {
          "code": 501,
          "mensaje": "Error de base de datos",
          "cause": "$ el mensaje de error que regrese la base de datos"
        },
        "result": false
    }

+ Response 502 (application/json)
    + Relation: 502: Error-server
    
    + Body 
    {
        "error": {
            "code": 502,
            "mensaje": "Error de Servidor",
            "cause": "$ el mensaje de error o el printStackTrace que regresa el servidor o el API"
        },
        "result": false
    }